<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.props" Condition="Exists('packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.props')" />
  <Import Project="packages\OpenCvSharp4.runtime.win.4.6.0.20220608\build\net48\OpenCvSharp4.runtime.win.props" Condition="Exists('packages\OpenCvSharp4.runtime.win.4.6.0.20220608\build\net48\OpenCvSharp4.runtime.win.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{9B356643-321E-4B70-ABF3-FF8E2F218F38}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>ProductionControl</RootNamespace>
    <AssemblyName>ProductionControl</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.2.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>e1.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <TargetZone>LocalIntranet</TargetZone>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateManifests>false</GenerateManifests>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>Properties\app.manifest</ApplicationManifest>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AdvMotAPI, Version=2.0.8.5, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\x64\Debug\AdvMotAPI.dll</HintPath>
    </Reference>
    <Reference Include="Automation.BDaq4, Version=4.0.0.0, Culture=neutral, PublicKeyToken=463f5928d60183a0, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\Automation.BDaq4.dll</HintPath>
    </Reference>
    <Reference Include="ControllerDllCSharp, Version=3.0.0.1, Culture=neutral, processorArchitecture=AMD64">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>D:\SuoduCode\Auto\LightCode\Controller_SDK_V3.0.0.1\SDK\C#_DLL\x64\ControllerDllCSharp.dll</HintPath>
    </Reference>
    <Reference Include="halcondotnet">
      <HintPath>F:\AI\RunHdevDemo\RunHdev\bin\x64\Debug\halcondotnet.dll</HintPath>
    </Reference>
    <Reference Include="hdevenginedotnet">
      <HintPath>F:\AI\RunHdevDemo\RunHdev\bin\x64\Debug\hdevenginedotnet.dll</HintPath>
    </Reference>
    <Reference Include="ImageBox, Version=2.2.1.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\..\..\模块化\MMImageBox\ImageBox\bin\Debug\ImageBox.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.ML.OnnxRuntime, Version=0.0.0.0, Culture=neutral, PublicKeyToken=f27f157f0a5b7bb6, processorArchitecture=MSIL">
      <HintPath>packages\Microsoft.ML.OnnxRuntime.Managed.1.8.0\lib\netstandard1.1\Microsoft.ML.OnnxRuntime.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.QualityTools.Testing.Fakes, Version=12.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="Microsoft.VisualBasic" />
    <Reference Include="Microsoft.Web.WebView2.Core, Version=1.0.1722.45, Culture=neutral, PublicKeyToken=2a8ab48044d2601e, processorArchitecture=MSIL">
      <HintPath>packages\Microsoft.Web.WebView2.1.0.1722.45\lib\net45\Microsoft.Web.WebView2.Core.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Web.WebView2.WinForms, Version=1.0.1722.45, Culture=neutral, PublicKeyToken=2a8ab48044d2601e, processorArchitecture=MSIL">
      <HintPath>packages\Microsoft.Web.WebView2.1.0.1722.45\lib\net45\Microsoft.Web.WebView2.WinForms.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Web.WebView2.Wpf, Version=1.0.1722.45, Culture=neutral, PublicKeyToken=2a8ab48044d2601e, processorArchitecture=MSIL">
      <HintPath>packages\Microsoft.Web.WebView2.1.0.1722.45\lib\net45\Microsoft.Web.WebView2.Wpf.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Win32.Primitives, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\Microsoft.Win32.Primitives.4.3.0\lib\net46\Microsoft.Win32.Primitives.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="MvCameraControl.Net">
      <HintPath>C:\Program Files (x86)\MVS\Development\DotNet\AnyCpu\MvCameraControl.Net.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>packages\Newtonsoft.Json.13.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="OpenCvSharp, Version=1.0.0.0, Culture=neutral, PublicKeyToken=6adad1e807fea099, processorArchitecture=MSIL">
      <HintPath>packages\OpenCvSharp4.4.6.0.20220608\lib\net48\OpenCvSharp.dll</HintPath>
    </Reference>
    <Reference Include="OpenCvSharp.Extensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=6adad1e807fea099, processorArchitecture=MSIL">
      <HintPath>packages\OpenCvSharp4.Extensions.4.6.0.20220608\lib\net48\OpenCvSharp.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="SixLabors.ImageSharp, Version=2.0.0.0, Culture=neutral, PublicKeyToken=d998eea7b14cab13, processorArchitecture=MSIL">
      <HintPath>packages\SixLabors.ImageSharp.2.1.3\lib\net472\SixLabors.ImageSharp.dll</HintPath>
    </Reference>
    <Reference Include="SqlSugar, Version=5.1.4.73, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>packages\SqlSugar.5.1.4.73\lib\SqlSugar.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.AppContext, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.AppContext.4.3.0\lib\net463\System.AppContext.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Buffers, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>packages\System.Buffers.4.5.1\lib\net461\System.Buffers.dll</HintPath>
    </Reference>
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Console, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Console.4.3.0\lib\net46\System.Console.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Core" />
    <Reference Include="System.Diagnostics.DiagnosticSource, Version=4.0.1.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>packages\System.Diagnostics.DiagnosticSource.4.3.0\lib\net46\System.Diagnostics.DiagnosticSource.dll</HintPath>
    </Reference>
    <Reference Include="System.Diagnostics.Tracing, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Diagnostics.Tracing.4.3.0\lib\net462\System.Diagnostics.Tracing.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Drawing.Common, Version=4.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>packages\System.Drawing.Common.5.0.3\lib\net461\System.Drawing.Common.dll</HintPath>
    </Reference>
    <Reference Include="System.Globalization.Calendars, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Globalization.Calendars.4.3.0\lib\net46\System.Globalization.Calendars.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.IO, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.IO.4.3.0\lib\net462\System.IO.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.IO.Compression, Version=4.1.2.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>packages\System.IO.Compression.4.3.0\lib\net46\System.IO.Compression.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.IO.Compression.ZipFile, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>packages\System.IO.Compression.ZipFile.4.3.0\lib\net46\System.IO.Compression.ZipFile.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.IO.FileSystem, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.IO.FileSystem.4.3.0\lib\net46\System.IO.FileSystem.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.IO.FileSystem.Primitives, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.IO.FileSystem.Primitives.4.3.0\lib\net46\System.IO.FileSystem.Primitives.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Linq, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Linq.4.3.0\lib\net463\System.Linq.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Linq.Expressions, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Linq.Expressions.4.3.0\lib\net463\System.Linq.Expressions.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Management" />
    <Reference Include="System.Memory, Version=4.0.1.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>packages\System.Memory.4.5.4\lib\net461\System.Memory.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.Http, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Net.Http.4.3.0\lib\net46\System.Net.Http.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Net.Sockets, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Net.Sockets.4.3.0\lib\net46\System.Net.Sockets.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Numerics" />
    <Reference Include="System.Numerics.Vectors, Version=4.1.4.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Numerics.Vectors.4.5.0\lib\net46\System.Numerics.Vectors.dll</HintPath>
    </Reference>
    <Reference Include="System.Reflection, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Reflection.4.3.0\lib\net462\System.Reflection.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Runtime.4.3.0\lib\net462\System.Runtime.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Runtime.CompilerServices.Unsafe.6.0.0\lib\net461\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Runtime.Extensions, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Runtime.Extensions.4.3.0\lib\net462\System.Runtime.Extensions.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.InteropServices, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Runtime.InteropServices.4.3.0\lib\net463\System.Runtime.InteropServices.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.InteropServices.RuntimeInformation, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Runtime.InteropServices.RuntimeInformation.4.3.0\lib\net45\System.Runtime.InteropServices.RuntimeInformation.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Security" />
    <Reference Include="System.Security.Cryptography.Algorithms, Version=4.2.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Security.Cryptography.Algorithms.4.3.0\lib\net463\System.Security.Cryptography.Algorithms.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Security.Cryptography.Encoding, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Security.Cryptography.Encoding.4.3.0\lib\net46\System.Security.Cryptography.Encoding.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Security.Cryptography.Primitives, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Security.Cryptography.Primitives.4.3.0\lib\net46\System.Security.Cryptography.Primitives.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Security.Cryptography.X509Certificates, Version=4.1.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Security.Cryptography.X509Certificates.4.3.0\lib\net461\System.Security.Cryptography.X509Certificates.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Text.Encoding.CodePages, Version=5.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Text.Encoding.CodePages.5.0.0\lib\net461\System.Text.Encoding.CodePages.dll</HintPath>
    </Reference>
    <Reference Include="System.Text.RegularExpressions, Version=4.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Text.RegularExpressions.4.3.0\lib\net463\System.Text.RegularExpressions.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>packages\System.ValueTuple.4.5.0\lib\net47\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.ReaderWriter, Version=4.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>packages\System.Xml.ReaderWriter.4.3.0\lib\net46\System.Xml.ReaderWriter.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="Yolo5, Version=1.0.0.0, Culture=neutral, processorArchitecture=AMD64">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\Dlls\Yolo5.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AboutBox1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="AboutBox1.Designer.cs">
      <DependentUpon>AboutBox1.cs</DependentUpon>
    </Compile>
    <Compile Include="API.cs" />
    <Compile Include="Config.cs" />
    <Compile Include="DevContainer.cs" />
    <Compile Include="Device\AxisDev.cs" />
    <Compile Include="Device\CodeScannerDev.cs" />
    <Compile Include="Device\ForLib.cs" />
    <Compile Include="Device\IFLib.cs" />
    <Compile Include="Device\ScannerDev.cs" />
    <Compile Include="Device\SizeLib.cs" />
    <Compile Include="Device\DefectLib.cs" />
    <Compile Include="Device\HeightDev.cs" />
    <Compile Include="Device\IOCardDev.cs" />
    <Compile Include="Device\LightDev.cs" />
    <Compile Include="Device\SmallAxisDev.cs" />
    <Compile Include="Device\TensionDev.cs" />
    <Compile Include="Enums.cs" />
    <Compile Include="Form1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form1.Designer.cs">
      <DependentUpon>Form1.cs</DependentUpon>
    </Compile>
    <Compile Include="Form2.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form2.Designer.cs">
      <DependentUpon>Form2.cs</DependentUpon>
    </Compile>
    <Compile Include="Form3.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form3.Designer.cs">
      <DependentUpon>Form3.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmDebug3.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmDebug3.Designer.cs">
      <DependentUpon>FrmDebug3.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmInput.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmInput.Designer.cs">
      <DependentUpon>FrmInput.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmPhotoShow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmPhotoShow.Designer.cs">
      <DependentUpon>FrmPhotoShow.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmPhotoTag.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmPhotoTag.Designer.cs">
      <DependentUpon>FrmPhotoTag.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmPTSetting.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmPTSetting.Designer.cs">
      <DependentUpon>FrmPTSetting.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmMain.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmMain.Designer.cs">
      <DependentUpon>FrmMain.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmLogin.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmLogin.Designer.cs">
      <DependentUpon>FrmLogin.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmPhoto.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmPhoto.Designer.cs">
      <DependentUpon>FrmPhoto.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmModifyPW.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmModifyPW.Designer.cs">
      <DependentUpon>FrmModifyPW.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmChart.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmChart.Designer.cs">
      <DependentUpon>FrmChart.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmReport.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmReport.Designer.cs">
      <DependentUpon>FrmReport.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmRoleInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmRoleInfo.Designer.cs">
      <DependentUpon>FrmRoleInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmCMDProcess.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmCMDProcess.Designer.cs">
      <DependentUpon>FrmCMDProcess.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmClassesSingle.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmClassesSingle.Designer.cs">
      <DependentUpon>FrmClassesSingle.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmShowDefectImage.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmShowDefectImage.Designer.cs">
      <DependentUpon>FrmShowDefectImage.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmShowSizeTag.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmShowSizeTag.Designer.cs">
      <DependentUpon>FrmShowSizeTag.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmSysSetting.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmSysSetting.Designer.cs">
      <DependentUpon>FrmSysSetting.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmUserInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmUserInfo.Designer.cs">
      <DependentUpon>FrmUserInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmSetParams.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmSetParams.Designer.cs">
      <DependentUpon>FrmSetParams.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmProductStep.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmProductStep.Designer.cs">
      <DependentUpon>FrmProductStep.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmProductInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmProductInfo.Designer.cs">
      <DependentUpon>FrmProductInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmRoleRight.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmRoleRight.Designer.cs">
      <DependentUpon>FrmRoleRight.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmStepInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmStepInfo.Designer.cs">
      <DependentUpon>FrmStepInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmProductList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmProductList.Designer.cs">
      <DependentUpon>FrmProductList.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmUserList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmUserList.Designer.cs">
      <DependentUpon>FrmUserList.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmStepList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmStepList.Designer.cs">
      <DependentUpon>FrmStepList.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmWeb.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmWeb.Designer.cs">
      <DependentUpon>FrmWeb.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="UIExtend\DefectCountOfSizeControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UIExtend\DefectCountOfSizeControl.Designer.cs">
      <DependentUpon>DefectCountOfSizeControl.cs</DependentUpon>
    </Compile>
    <Compile Include="UIExtend\pbox_zoom.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UIExtend\pbox_zoom.designer.cs">
      <DependentUpon>pbox_zoom.cs</DependentUpon>
    </Compile>
    <Compile Include="UIExtend\ProPictureBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UIExtend\TextBoxRemind.cs" />
    <Compile Include="UIExtend\UCImageView.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UIExtend\UCImageView.designer.cs">
      <DependentUpon>UCImageView.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\AxisDevTagProp.cs" />
    <Compile Include="UI\Form1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\Form1.Designer.cs">
      <DependentUpon>Form1.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\FrmGetPosByPic.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\FrmGetPosByPic.Designer.cs">
      <DependentUpon>FrmGetPosByPic.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\FrmScannerShow2.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\FrmScannerShow2.Designer.cs">
      <DependentUpon>FrmScannerShow2.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\IFProp.cs" />
    <Compile Include="UI\ForProp.cs" />
    <Compile Include="UI\SizeLibProp.cs" />
    <Compile Include="UI\FrmScannerShow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\FrmScannerShow.Designer.cs">
      <DependentUpon>FrmScannerShow.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\HeightDevProp.cs" />
    <Compile Include="UI\DefectLibProp.cs" />
    <Compile Include="UI\TensionDevProp.cs" />
    <Compile Include="UI\SmallAxisDevProp.cs" />
    <Compile Include="UI\ScannerDevProp.cs" />
    <Compile Include="UI\LightDevProp.cs" />
    <Compile Include="UI\IOCardDevProp.cs" />
    <Compile Include="UI\PropExtend\PropertyOrderAttribute.cs" />
    <Compile Include="UI\PropExtend\PropertySorter.cs" />
    <Compile Include="UI\UIAxisDevTag.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIAxisDevTag.Designer.cs">
      <DependentUpon>UIAxisDevTag.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UICodeScannerDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UICodeScannerDev.Designer.cs">
      <DependentUpon>UICodeScannerDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIIFLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIIFLib.Designer.cs">
      <DependentUpon>UIIFLib.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIForLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIForLib.Designer.cs">
      <DependentUpon>UIForLib.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIPagination.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIPagination.Designer.cs">
      <DependentUpon>UIPagination.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UISizeLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UISizeLib.Designer.cs">
      <DependentUpon>UISizeLib.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIHeightDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIHeightDev.Designer.cs">
      <DependentUpon>UIHeightDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIDefectLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIDefectLib.Designer.cs">
      <DependentUpon>UIDefectLib.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UITensionDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UITensionDev.Designer.cs">
      <DependentUpon>UITensionDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UISmallAxisDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UISmallAxisDev.Designer.cs">
      <DependentUpon>UISmallAxisDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIScannerDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIScannerDev.Designer.cs">
      <DependentUpon>UIScannerDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UILightDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UILightDev.Designer.cs">
      <DependentUpon>UILightDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIIOCardDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIIOCardDev.Designer.cs">
      <DependentUpon>UIIOCardDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIAxisDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIAxisDev.Designer.cs">
      <DependentUpon>UIAxisDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\AxisDevProp.cs" />
    <Compile Include="Utils\DBUtils.cs" />
    <Compile Include="Utils\EnumData.cs" />
    <Compile Include="Utils\EnumUtil.cs" />
    <Compile Include="Utils\FileUtil.cs" />
    <Compile Include="Utils\HexUtil.cs" />
    <Compile Include="Utils\HttpUtil.CS" />
    <Compile Include="Utils\ImageUtil.cs" />
    <Compile Include="Utils\SSerialPort.cs" />
    <Compile Include="Utils\Util.cs" />
    <Compile Include="Utils\WINAPI.cs" />
    <Compile Include="WebService.cs" />
    <EmbeddedResource Include="AboutBox1.resx">
      <DependentUpon>AboutBox1.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form1.resx">
      <DependentUpon>Form1.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form2.resx">
      <DependentUpon>Form2.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form3.resx">
      <DependentUpon>Form3.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmDebug3.resx">
      <DependentUpon>FrmDebug3.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmInput.resx">
      <DependentUpon>FrmInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmPhotoShow.resx">
      <DependentUpon>FrmPhotoShow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmPhotoTag.resx">
      <DependentUpon>FrmPhotoTag.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmPTSetting.resx">
      <DependentUpon>FrmPTSetting.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmMain.resx">
      <DependentUpon>FrmMain.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmLogin.resx">
      <DependentUpon>FrmLogin.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmPhoto.resx">
      <DependentUpon>FrmPhoto.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmModifyPW.resx">
      <DependentUpon>FrmModifyPW.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmChart.resx">
      <DependentUpon>FrmChart.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmReport.resx">
      <DependentUpon>FrmReport.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmRoleInfo.resx">
      <DependentUpon>FrmRoleInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmCMDProcess.resx">
      <DependentUpon>FrmCMDProcess.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmClassesSingle.resx">
      <DependentUpon>FrmClassesSingle.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmShowDefectImage.resx">
      <DependentUpon>FrmShowDefectImage.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmShowSizeTag.resx">
      <DependentUpon>FrmShowSizeTag.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmSysSetting.resx">
      <DependentUpon>FrmSysSetting.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmUserInfo.resx">
      <DependentUpon>FrmUserInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmSetParams.resx">
      <DependentUpon>FrmSetParams.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmProductStep.resx">
      <DependentUpon>FrmProductStep.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmProductInfo.resx">
      <DependentUpon>FrmProductInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmRoleRight.resx">
      <DependentUpon>FrmRoleRight.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmStepInfo.resx">
      <DependentUpon>FrmStepInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmProductList.resx">
      <DependentUpon>FrmProductList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmUserList.resx">
      <DependentUpon>FrmUserList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmStepList.resx">
      <DependentUpon>FrmStepList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmWeb.resx">
      <DependentUpon>FrmWeb.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="UIExtend\DefectCountOfSizeControl.resx">
      <DependentUpon>DefectCountOfSizeControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UIExtend\pbox_zoom.resx">
      <DependentUpon>pbox_zoom.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UIExtend\UCImageView.resx">
      <DependentUpon>UCImageView.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\FrmGetPosByPic.resx">
      <DependentUpon>FrmGetPosByPic.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\FrmScannerShow2.resx">
      <DependentUpon>FrmScannerShow2.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\FrmScannerShow.resx">
      <DependentUpon>FrmScannerShow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIAxisDevTag.resx">
      <DependentUpon>UIAxisDevTag.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UICodeScannerDev.resx">
      <DependentUpon>UICodeScannerDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIIFLib.resx">
      <DependentUpon>UIIFLib.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIForLib.resx">
      <DependentUpon>UIForLib.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIPagination.resx">
      <DependentUpon>UIPagination.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UISizeLib.resx">
      <DependentUpon>UISizeLib.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIHeightDev.resx">
      <DependentUpon>UIHeightDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIDefectLib.resx">
      <DependentUpon>UIDefectLib.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UITensionDev.resx">
      <DependentUpon>UITensionDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UISmallAxisDev.resx">
      <DependentUpon>UISmallAxisDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIScannerDev.resx">
      <DependentUpon>UIScannerDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UILightDev.resx">
      <DependentUpon>UILightDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIIOCardDev.resx">
      <DependentUpon>UIIOCardDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIAxisDev.resx">
      <DependentUpon>UIAxisDev.cs</DependentUpon>
    </EmbeddedResource>
    <Fakes Include="Fakes\Yolo5.fakes" />
    <None Include="packages.config" />
    <None Include="Properties\app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="e1.ico" />
    <Content Include="Note.txt" />
  </ItemGroup>
  <ItemGroup>
    <COMReference Include="AxBDaqOcxLib">
      <Guid>{1752FF26-D6C9-4BC8-BFE9-7D0CA26DED89}</Guid>
      <VersionMajor>1</VersionMajor>
      <VersionMinor>0</VersionMinor>
      <Lcid>0</Lcid>
      <WrapperTool>aximp</WrapperTool>
      <Isolated>False</Isolated>
    </COMReference>
    <COMReference Include="BDaqOcxLib">
      <Guid>{1752FF26-D6C9-4BC8-BFE9-7D0CA26DED89}</Guid>
      <VersionMajor>1</VersionMajor>
      <VersionMinor>0</VersionMinor>
      <Lcid>0</Lcid>
      <WrapperTool>tlbimp</WrapperTool>
      <Isolated>False</Isolated>
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </COMReference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Models\Models.csproj">
      <Project>{47694c39-2448-4be5-80a4-70d78b59272b}</Project>
      <Name>Models</Name>
    </ProjectReference>
    <ProjectReference Include="..\Service\Service.csproj">
      <Project>{1cced98a-7af6-47f3-b9f9-a9e7dad461b4}</Project>
      <Name>Service</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.8">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.8 %28x86 和 x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>这台计算机上缺少此项目引用的 NuGet 程序包。使用“NuGet 程序包还原”可下载这些程序包。有关更多信息，请参见 http://go.microsoft.com/fwlink/?LinkID=322105。缺少的文件是 {0}。</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('packages\OpenCvSharp4.runtime.win.4.6.0.20220608\build\net48\OpenCvSharp4.runtime.win.props')" Text="$([System.String]::Format('$(ErrorText)', 'packages\OpenCvSharp4.runtime.win.4.6.0.20220608\build\net48\OpenCvSharp4.runtime.win.props'))" />
    <Error Condition="!Exists('packages\Microsoft.ML.OnnxRuntime.Managed.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Managed.targets')" Text="$([System.String]::Format('$(ErrorText)', 'packages\Microsoft.ML.OnnxRuntime.Managed.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Managed.targets'))" />
    <Error Condition="!Exists('packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.props')" Text="$([System.String]::Format('$(ErrorText)', 'packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.props'))" />
    <Error Condition="!Exists('packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.targets')" Text="$([System.String]::Format('$(ErrorText)', 'packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.targets'))" />
    <Error Condition="!Exists('packages\Microsoft.Web.WebView2.1.0.1722.45\build\Microsoft.Web.WebView2.targets')" Text="$([System.String]::Format('$(ErrorText)', 'packages\Microsoft.Web.WebView2.1.0.1722.45\build\Microsoft.Web.WebView2.targets'))" />
  </Target>
  <Import Project="packages\Microsoft.ML.OnnxRuntime.Managed.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Managed.targets" Condition="Exists('packages\Microsoft.ML.OnnxRuntime.Managed.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Managed.targets')" />
  <Import Project="packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.targets" Condition="Exists('packages\Microsoft.ML.OnnxRuntime.Gpu.1.8.0\build\netstandard1.1\Microsoft.ML.OnnxRuntime.Gpu.targets')" />
  <Import Project="packages\Microsoft.Web.WebView2.1.0.1722.45\build\Microsoft.Web.WebView2.targets" Condition="Exists('packages\Microsoft.Web.WebView2.1.0.1722.45\build\Microsoft.Web.WebView2.targets')" />
</Project>